
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android UI使用HTML布局方法实例_Android / iVAN</title>

    <meta name="description" content="Android UI使用HTML布局方法实例_Android 很多时候我们用HTML布局会更方便直接,记录一下. 我现在主要是直接调用服务器的网页(实际上是jsp的,只是返回的是html),所以需要联网,第一步添加权限. 复制代码 代码如下: &lt;uses-permission android:name=&quot;android.permission.INTERNET&quot; /&gt; 布局文件直接用一个WebView,如下: 复制代码 代码如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot; ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android UI使用HTML布局方法实例_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>很多时候我们用HTML布局会更方便直接，记录一下。<br />
我现在主要是直接调用服务器的网页（实际上是jsp的，只是返回的是html），所以需要联网，第一步添加权限。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;uses-permission android:name="android.permission.INTERNET" /&gt;</p>
<p>布局文件直接用一个WebView，如下：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;?xml version="1.0" encoding="utf-8"?&gt;<br />
&lt;LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"<br />
    android:layout_width="match_parent"<br />
    android:layout_height="match_parent"<br />
    android:orientation="vertical" &gt;<br />
<br />    &lt;WebView<br />
        android:id="@+id/webView1"<br />
        android:layout_width="match_parent"<br />
        android:layout_height="match_parent" /&gt;</p>
<p>&lt;/LinearLayout&gt;</p>
<p>下面就可以直接写代码了：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>package com.yangshidesign.testgryoscope;<br />
<br />import android.app.Activity;<br />
import android.os.Bundle;<br />
import android.util.Log;<br />
import android.webkit.JavascriptInterface;<br />
import android.webkit.WebView;<br />
import android.widget.Toast;</p>
<p>public class AddEmojiActivity extends Activity {<br />
 private WebView webView;<br />
 <br />
 @Override<br />
 protected void onCreate(Bundle savedInstanceState) {<br />
  super.onCreate(savedInstanceState);<br />
  this.setContentView(R.layout.activity_addemoji);<br />
  <br />
  webView = (WebView) this.findViewById(R.id.webView1);<br />
  <br />
  webView.getSettings().setJavaScriptEnabled(true);<br />
  webView.addJavascriptInterface(new WebPlugin(), "WebPlugin");<br />
  <br />
  webView.loadUrl(this.getString(R.string.server_url));<br />
 }<br />
 <br />
 /**<br />
  * 插件类，在html的js里面直接调用<br />
  */<br />
 private class WebPlugin {<br />
  <br />
  @JavascriptInterface<br />
  public void test() {<br />
   Log.e("miquan", "kkkkkk");<br />
   Toast.makeText(AddEmojiActivity.this, "test toast ", Toast.LENGTH_SHORT).show();<br />
  }<br />
  <br />
  @JavascriptInterface<br />
  public String test2() {<br />
   return "something";<br />
  }<br />
 }<br />
}</p>
<p>其中@JavascriptInterface注解是添加在每一个需要用到的方法上面的。<br />
最后就可以直接在HTML网页上调用了。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;script type="text/javascript"&gt;<br />
 function test() {<br />
  WebPlugin.test();<br />
  var something = WebPlugin.test2();<br />
 }<br />
&lt;/script&gt;</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-27 09:48:58</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/html%e5%b8%83%e5%b1%80/" title="HTML布局">HTML布局</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android UI使用HTML布局方法实例_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeayyNz.html" rel="bookmark">Android UI使用HTML布局方法实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很多时候我们用HTML布局会更方便直接,记录一下. 我现在主要是直接调用服务器的网页(实际上是jsp的,只是返回的是html),所以需要联网,第一步添加权限. 复制代码 代码如下: &lt;uses-permission android:name=&quot;android.permission.INTERNET&quot; /&gt; 布局文件直接用一个WebView,如下: 复制代码 代码如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8Rxlp.html" rel="bookmark">android Tween Animation属性设置方法实例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android开发中,Animation是用来给控件制作效果的.大多数的控件都可以用这个类,这个类包含了4种基本动作,分别为移动,旋转,淡入淡出,缩放.在使用Animation时,可以在.java文件中用java代码对其进行设置,这样的优点是可以方便调试程序效果:另外一种方法就是在xml中对控件的属性做设置,好处是代码的重用性比较高,缺点是不方便调试. 一.在java代码中使用Animation在java代码中使用Animation主要分为下面4个步骤.创建一个AnimationSet类,An			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOGZ7b.html" rel="bookmark">Android中使用AndroidTestCase的方法实例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 使用 AndroidTestCase 的步骤1.新建一个类继承 AndroidTestCase 复制代码 代码如下: public class TestAudio extends AndroidTestCase {      private AudioManager mAudioManager;      private boolean mUseFixedVolume;      private final static long TIME_TO_PLAY = 2000;    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZVPWz.html" rel="bookmark">Android 图片特效处理的方法实例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 图片放缩 复制代码 代码如下: // zoom 放缩  public static Bitmap zoomBitmap(Bitmap bitmap, int w, int h) {      int width = bitmap.getWidth();      int height = bitmap.getHeight();      Matrix matrix = new Matrix();      float scaleWidth = w / (float) width;     			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeaW2Nz.html" rel="bookmark">Android连接指定Wifi的方法实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇文章主要记录一下Android中打开Wifi.获取Wifi接入点信息及连接指接入点的方法. 自己写的demo主要用于测试接口的基本功能,因此界面及底层逻辑比较粗糙. demo的整体界面如下所示: 上图中的OPEN按键负责开启Wifi: GET按键负责获取扫描到的接入点信息. 当获取到接入点信息后,我选取了其中的名称及信号强度,以列表的形式显示在主界面下方,如下图: 当点击列表中的Item时,就会去连接对应的接入点. 自己的逻辑比较简单,测试时的代码,假定连接的是不许要密码或密码已知的接入点.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL5Q2Lz.html" rel="bookmark">Android编程之九宫格实现方法实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程之九宫格实现方法.分享给大家供大家参考,具体如下: 显示九宫格需要用GridView , 要显示每个格子中的视图有两种方式,第一种方式是做成xml文件,再将xml文件做成视图.第二种方式就是在代码中构建出这样一种布局,这里采用第一种方式来实现: GridView: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;RelativeLayout xmlns:android=&quot;ht			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn84WOb.html" rel="bookmark">Android中TelephonyManager类的方法实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android中TelephonyManager类的方法.分享给大家供大家参考.具体如下: TelephonyManager类主要提供了一系列用于访问与手机通讯相关的状态和信息的get方法.其中包括手机SIM的状态和信息.电信网络的状态及手机用户的信息.在应用程序中可以使用这些get方法获取相关数据. TelephonyManager类的对象可以通过Context.getSystemService(Context.TELEPHONY_SERVICE)方法来获得,需要注意的是有些通讯			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqOr32z.html" rel="bookmark">Android编程之线性布局LinearLayout实例简析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程之线性布局LinearLayout用法.分享给大家供大家参考,具体如下: 线性布局(LinearLayout) 可以让它的子元素垂直或水平的方式排成一行(不设置方向的时候默认按照垂直方向排列). 下面示例是在别人基础上修改的main.xml: &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;LinearLayout xmlns:android=&quot;http://schemas.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bolrddM.html" rel="bookmark">android针对json数据解析方法实例分析&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了android针对json数据解析方法.分享给大家供大家参考.具体如下: JSON的定义: 一种轻量级的数据交换格式,具有良好的可读和便于快速编写的特性.业内主流技术为其提供了完整的解决方案(有点类似于正则表达式 ,获得了当今大部分语言的支持),从而可以在不同平台间进行数据交换.JSON采用兼容性很高的文本格式,同时也具备类似于C语言体系的行为. – Json.org JSON Vs XML 1.JSON和XML的数据可读性基本相同 2.JSON和XML同样拥有丰富的解析手段 3.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbKmwdp.html" rel="bookmark" class="title">HTML标记之select的发展史</a>
					<div>
						html标记|select 本文旨在大家对select和模拟select有一个全面地了解,使此项技术能发挥出更高的水平. 最初的select的确很平淡,就是一个下拉选项列表: 运行代码框 &lt;st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyP8Eb.html" rel="bookmark" class="title">数据库正规化和设计技巧</a>
					<div>
						技巧|设计|数据|数据库 在动态网站的设计中,数据库设计的重要性不言而喻.如果设计不当,查询起来就非常吃力,程序的性能也会受到影响.无论你使用的是mySQL或者Oracle数据库,通过进行正规化的表格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqXOkb.html" rel="bookmark" class="title">&period;Net 下对SqlServer2000中的存储过程的调用</a>
					<div>
						server|sqlserver|存储过程 首先,在SqlServer中创建存储过程,在调用时分为有参数和没有参数两种情况, 先就简单的没有参数的情况简要的介绍: 假设存储过程如下: CREATE P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bok9Xb.html" rel="bookmark" class="title">MFC教程（5）-- MFC对象的创建（1）</a>
					<div>
						MFC对象的创建 前面几章介绍了MFC的核心概念和思想,即介绍了MFC对Windows对象的封装方法和特点:MFC对象的动态创建.序列化:MFC消息映射机制. 现在,考查MFC的应用程序结构体系,即以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7yrdM.html" rel="bookmark" class="title">ProFTPD及WU-FTP的BANDWIDTH控制</a>
					<div>
						在/etc/ftpaccess里面加上: throughput /home/ftp * * 64000 0.5 * 意思是下载带宽对所有IP(最后那个*)限制在64K,每下一个文件速度减半(那个0 . ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQP1yKz.html" rel="bookmark" class="title">AutoCad修改填充图案</a>
					<div>
						对于已有的图案填充对象,用户可以对其图案类型.角度.间距.关联性以及孤岛检测样式等设置进行修改. 7.4.1 实例2 修改填充图案 Step 1 打开图形文件 启动AutoCAD 2002系统,打开第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPLBoz.html" rel="bookmark" class="title">MySQL的密码设置</a>
					<div>
						由MySQL使用用户名和口令的方法与Unix或Windows使用的方式有很多不同之处: ·MySQL使用于认证目的的用户名,与Unix用户名(登录名字)或Windows用户名无关.缺省地,大多数MyS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxX6ob.html" rel="bookmark" class="title">解说Win32的窗口子类化</a>
					<div>
						也许你需要一个特殊的Edit来限制浮点数的输入,但是现有的Edit却并不能完成这项工作--因为它只能够单纯的限制大小写或者纯数字.当你在论坛上求救的时候,某个网友告诉你:&quot;用子类化.&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK1eVp.html" rel="bookmark" class="title">Sql server如何创建语言辅助函数</a>
					<div>
						在现在这样一个全球化环境中,因为在不同的语言中有很多不同的语法规则,所以以前很多简单的任务现在都变得很困难.你可以将一门特定的语言分成一组语法规则和针对这些规则的异常(以及一个基本词语),从而将这些任 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oABBb.html" rel="bookmark" class="title">用photoshop设计一个简约漂亮的定价表</a>
					<div>
						在这篇用户界面设计教程中,我将向您展示如何用Photoshop设计一个时尚的定价表界面.定价表常见于一些基于web应用程序的网站.我们将运用横排文字工具和圆角矩形工具等来完成我们的这项任务.我将向您展 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3QOOp.html" rel="bookmark" class="title">windows 2008系统的全新亮点</a>
					<div>
						  1.虚拟化 尽管在Server 2008正式发布之前不会出现虚拟化,但微软Hyper-V的虚拟化技术绝对是一个亮点,大型企业中已经有75%应用了虚拟化技术,用户利用虚拟化技术可以在完全不影响工作的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3LBWp.html" rel="bookmark" class="title">大数据之父舍恩伯格：大数据的核心要义在于共享</a>
					<div>
						8月25日,2016IEBE(上海)国际电子商务博览会暨互联网+科创应用展&quot;智享生态联接未来&quot;高峰论坛在上海举行.大数据之父舍恩伯格出席了本次论坛,他与参会者探讨了大数据时代电子商 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB8Zqz.html" rel="bookmark" class="title">分享运营个人网站的规划 给新手一些启发</a>
					<div>
						在网上看到很多朋友都在做网站,现在的个人站长非常的多,有的出于兴趣,有的在于通过经营网站赚钱,但都是一个目的,把自己的网站做好做大!我也一直在做网站,除了门户类的基本上都尝试过了,因为门户网站需要的信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l3J8b.html" rel="bookmark" class="title">javascript的闭包介绍&lpar;司徒正美&rpar;&lowbar;javascript技巧</a>
					<div>
						闭包的定义非常晦涩--闭包,是指语法域位于某个特定的区域,具有持续参照(读写)位于该区域内自身范围之外的执行域上的非持久型变量值能力的段落.这些外部执行域的非持久型变量神奇地保留它们在闭包最初定义(或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQra8GM.html" rel="bookmark" class="title">HDU 1541 树状数组</a>
					<div>
						题目意思就是说,给你一张star maps,每个star有自己的level,level是这样计算的:(Let the level of a star be an amount of the stars ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l6Z8b.html" rel="bookmark" class="title">关注&OpenCurlyDoubleQuote;物联网&rdquo;信息安全</a>
					<div>
						问题描述 关注&quot;物联网&quot;信息安全2009年如果是中国物联网元年,2010年将是中国物联网产业发展最关键的一年,&quot;物联网&quot;成为2010年两会的热点.同时各级政府的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVLB6b.html" rel="bookmark" class="title">金山界面库，tab控件怎么弹出对话框？</a>
					<div>
						问题描述 金山界面库,tab控件怎么弹出对话框? 我自己用向导建的项目 就是在tab控件那里实现弹出对话框 解决方案 自己DoModal等创建对话框就可以弹出了					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLo4dp.html" rel="bookmark" class="title">Java类加载器学习2&mdash;&mdash;自定义类加载器和父类委托机制带来的问题</a>
					<div>
						  一.自定义类加载器的一般步骤   Java的类加载器自从JDK1.2开始便引入了一条机制叫做父类委托机制.一个类需要被加载的时候,JVM先会调用他的父类加载器进行加载,父类调用父类的父类,一直到顶 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBm1WM.html" rel="bookmark" class="title">有关控件应用问题，请大家给点建议！谢谢</a>
					<div>
						问题描述 用户输入人数,再根据人数出现相应的界面供用户输入不同的人名与相对应的性别年龄等属性.该用什么控件组合实现这功能呢?对c#控件不是很熟悉,请大家指点一下··谢谢!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0OVDM.html" rel="bookmark" class="title">《Android 应用案例开发大全（第二版）》&mdash;&mdash;2&period;2节壁纸策划及准备工作</a>
					<div>
						2.2 壁纸策划及准备工作 Android 应用案例开发大全(第二版) 上一节介绍了本案例的背景及功能,本节将要介绍动态水族馆的策划以及开发前的准备工作.读者要认真阅读这一节,这对理解壁纸的开发有着很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1NBdz.html" rel="bookmark" class="title">c语言编程问题 求大神解答</a>
					<div>
						问题描述 c语言编程问题 求大神解答 Maximum number ? Write a program that outputs maximum and minimum number in 10 ra ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmK8Xwb.html" rel="bookmark" class="title">mybatis-spring mvc批量上传功能</a>
					<div>
						问题描述 spring mvc批量上传功能 springMVc+Spring+mybatis+mysql实现用户图片批量上传,为每一个用户创建一个名为id的文件夹用来存储图片.图片有大小限制.最多只能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRee8b.html" rel="bookmark" class="title">互联网项目管理浅析之需求管理</a>
					<div>
						背景 一眨眼,加入阿里大家庭已经一年多啦.在一年多的工作中,深深感受到互联网项目管理与传统IT项目管理的不同,在此尝试做一下简单的总结和分析. 本文先讲一讲需求管理.为啥要先说需求管理呢,因为在所有影 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA5N3M.html" rel="bookmark" class="title">ASP&period;NET的状态管理</a>
					<div>
						状态时某一类型的数据在一定时期内保持活跃的信息.这里说的一定时期可以使整个应用程序的生命周期,可以使用户操作程序的时间,当然也可以是单个页面的生命周期等.  为了解决传统Web编程中固有的限制,ASP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnd1lM.html" rel="bookmark" class="title">如何在 Ubuntu 15&period;10，14&period;04 中安装 NVIDIA 358&period;16 驱动程序</a>
					<div>
						如何在 Ubuntu 15.10,14.04 中安装 NVIDIA 358.16 驱动程序 NVIDIA 358.16 -- NVIDIA 358 系列的第一个稳定版本已经发布,并对 358.09 中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnnWXM.html" rel="bookmark" class="title">求完整的JSP页面上传excel 将数据导入SQL数据库的代码</a>
					<div>
						问题描述 求完整的JSP页面上传excel 将数据导入SQL数据库的代码 已下载好jxl包,不知道怎么和jsp一起使用,哪位大神帮忙给下完整代码,谢谢啦. 解决方案 demo 解决方案二: http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBBL4z.html" rel="bookmark" class="title">分布式光伏的ABS路线图</a>
					<div>
						11月7日&lt;电力发展&quot;十三五&quot;规划&gt;出台,国家发改委.能源局对分布式光伏提出明确目标,&lt;规划&gt;要求到2020年太阳能发电装机达到110GW以上,其中分布式光 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12D0ap.html" rel="bookmark" class="title">《Servlet、JSP和Spring MVC初学指南》&mdash;&mdash;1&period;4　ServletRequest</a>
					<div>
						1.4 ServletRequest 对于每一个HTTP请求,Servlet容器都会创建一个ServletRequest实例,并将它传给Servlet的Service方法.ServletRequest ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodOkBM.html" rel="bookmark" class="title">iOS设计模式之简单工厂模式</a>
					<div>
						简单工厂模式 基本理解 到底要实例化谁,将来会不会增加实例化的对象,比如计算器增加开根运算,这是很容易变化的地方,应该考虑用一个单独的类来做这个创造实例的过程,这就是工厂. 通过使用工厂模式,我们可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M125q3p.html" rel="bookmark" class="title">手机地图更新数据分析</a>
					<div>
						手机地图更新现在是LBS中最常用的功能之一.但既然我们需要重新去获取地图数据,那么我们首先就要了解数据的获取方式.而根据有网和无网两种情况,一般我们可将地图都分为: ● 在线地图 ● 离线地图 目前在 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
